Bug 165313 - Fix debuginfo package, add in $PATH
Fix debuginfo package, add in $PATH
Product: Fedora
Classification: Fedora
Component: powermanga (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
  Show dependency treegraph
Reported: 2005-08-07 13:35 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.79-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-07 07:02:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Make launchable from $PATH, fix -debuginfo (1.11 KB, patch)
2005-08-07 13:35 EDT, Ville Skyttä
no flags Details | Diff
Really fix debuginfo, and put an executable in $PATH (1.19 KB, patch)
2005-08-07 17:42 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2005-08-07 13:35:06 EDT
find-debuginfo.sh doesn't strip setuid/setgid binaries (dunno if that's on  
purpose), and powermanga is affected -> it creates a useless -debuginfo 
package.  Additionally the game is not in the  
default $PATH.  Fix for both attached.
Comment 1 Ville Skyttä 2005-08-07 13:35:06 EDT
Created attachment 117528 [details]
Make launchable from $PATH, fix -debuginfo
Comment 2 Ville Skyttä 2005-08-07 13:36:57 EDT
Hmph, uploaded wrong version of the patch; my intention was to use /bin/bash 
(not /bin/sh) for the launcher script in /usr/bin because I don't know if "$@" 
works in all shells.  I'm too lazy to upload another one ;) 
Comment 3 Matthias Saou 2005-08-07 16:53:28 EDT
Hmm :
1) I really don't see how your patch can change anything about the debuginfo
problem, and I had already noticed it, posted to some list (can't remember
which), but didn't get any useful feedback.
2) I don't get the point of having the binary in $PATH when it's a graphical
application, a system menu entry is provided, and it's the default for the
original sources. I've already discussed this for another package (viruskiller
Comment 4 Ville Skyttä 2005-08-07 17:14:37 EDT
Like said in the initial comment, find-debuginfo.sh does not strip 
setuid/setgid binaries.  Believe me, this patch does fix it :) 
I see the point of being able to launch every single user visible application 
that is meant to be launched by typing its name.  I use the menus actually 
_very_ rarely, and I don't believe I'm the only one. 
Comment 5 Ville Skyttä 2005-08-07 17:16:58 EDT
Oh, and I bet the upstream default of installing the binary 
to /usr/games/powermanga is because /usr/games is in $PATH in many Unix/Linux 
systems by default.  Not so in Red Hat's products... 
Comment 6 Ville Skyttä 2005-08-07 17:25:57 EDT
See bug 117858 for the setgid/setuid not stripped stuff. 
Comment 7 Matthias Saou 2005-08-07 17:31:09 EDT
I'm a bit tired, so maybe I'm just missing something... but I really don't see
anything in the attached patch relevant to the debuginfo problem :-/
Comment 8 Ville Skyttä 2005-08-07 17:42:07 EDT
Created attachment 117533 [details]
Really fix debuginfo, and put an executable in $PATH

Crap, my bad, I'm even more tired.  It was a wrong version of the patch indeed,
here's the corrected one.
Comment 9 Ville Skyttä 2005-08-26 14:41:27 EDT
Ping :) 
Comment 10 Matthias Saou 2005-11-07 07:02:10 EST
OK, I surrender... I'll put the wrapper script in $PATH... but still, I don't
like it as for me, GUI apps that default to not being in $PATH are a non-issue
as long as they are provided with a working menu entry ;-p

Note You need to log in before you can comment on or make changes to this bug.